export interface ClickOutsideTarget {
    el: HTMLElement;
    onClickOutside: (e: MouseEvent) => any;
}
/**
 * 注册click outside元素
 * @param target ClickOutsideTarget
 */
export declare function addClickOutside(target: ClickOutsideTarget): void;
/**
 * 移除click outside元素
 * @param target ClickOutsideTarget
 */
export declare function removeClickOutside(target: ClickOutsideTarget): void;
declare const _default: {
    addClickOutside: typeof addClickOutside;
    removeClickOutside: typeof removeClickOutside;
};
export default _default;
